<?php

use Illuminate\Database\Seeder;

class VectorsTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
      DB::table('vectors')->insert([
        'zoom_level' => 17,
        'filepath' => 'vector_layers/Vyskum.json',
        'color' => '#ffcd56'
      ]);

      DB::table('vectors')->insert([
        'zoom_level' => 19,
        'filepath' => 'vector_layers/Dvorce.json',
        'color' => '#6ecc39'
      ]);

      $filenames = array('Hroby', 'KJ', 'KJ_obj', 'Kostely', 'Nezahlbene_obj', 'Objekty', 'Zlaby');
      foreach ($filenames as $filename) {
        DB::table('vectors')->insert([
          'zoom_level' => 20,
          'filepath' => 'vector_layers/'.$filename.'.json',
          'color' => '#ff7800'
        ]);
      }
    }
}
